API Reference

Fetch a batch

GET/batches/{id}

Query Parameters

idstring

ID or Reference of the Batch

Request

curl
curl -u TEST:TEST https://gateway.pmnts-sandbox.io/v1.0/batches/071-BF-Q0TVWI7K

Response

200cURL
json
{
   "response" : {
    "status" : "Completed",
    "type" : "PURCHASE",
    "process_date" : "2017-07-14",
    "id" : "071-BF-Q0TVWI7K",
    "created_at" : "2017-07-14T10:42:55+10:00",
    "filename" : "BATCH-v1-PURCHASE-20170714-123456789012347.csv",
    "completed_date" : "2017-07-14",
    "reference" : "123456789012347",
    "start_date" : "2017-07-14"
   },
   "successful" : true,
   "errors" : [],
   "test" : true
}
200Ruby
json
{
  "id": "071-BF-68TU3VJM",
  "filename": "BATCH-v1-PURCHASE-20170712-123456789012348.csv",
  "created_at": "2017-07-12T15:49:49+10:00",
  "process_date": "2017-07-12",
  "start_date": "2017-07-12",
  "completed_date": "2017-07-12",
  "status": "Completed",
  "type": "PURCHASE",
  "reference": "123456789012348"
}